Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160139 - Cups doesn't see my printer anymore
Summary: Cups doesn't see my printer anymore
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-11 09:58 UTC by Daniel Malmgren
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-13 12:16:19 UTC


Attachments (Terms of Use)

Description Daniel Malmgren 2005-06-11 09:58:09 UTC
Description of problem:
After changing from hpoj to hplip Cups doesn't find my printer (a locally usb
connected HP psc1110) anymore.

Version-Release number of selected component (if applicable):
cups-1.1.23-15
hplip-0.9.3-0.1

How reproducible:
100%

Steps to Reproduce:
1. In system-config-printer, set up a new printer
2. Go to the step where queue type should be choosen
  
Actual results:
With hpoj I could see /dev/usb/lp0 and the ptal: device here, now I get only
/dev/usb/lp0

Expected results:
I should see the hp: device here

Additional info:
Sane works fine with the same device, using the hpaio driver.
Output of hp-info (There should be something under "CUPS printers", shouldn't it?):
[~#] hp-info

 HP Linux Imaging and Printing System (ver. 0.9.3)
 Device Information Utility ver. 2.8

 Copyright (c) 2003-5 Hewlett-Packard Development Company, LP
 This software comes with ABSOLUTELY NO WARRANTY.
 This is free software, and you are welcome to distribute it
 under certain conditions. See COPYING file for more details.

 [WARNING]: Device not specified.

Choose device from probed devices connected on bus(es) usb,cups:

 Using device: hp:/usb/psc_1100_series?serial=MY378D92CHB0

Info for: hp:/usb/psc_1100_series?serial=MY378D92CHB0

   Info                Value(s)
   ------------------  ----------------------------------------------------------
   Device URI:         hp:/usb/psc_1100_series?serial=MY378D92CHB0
   Model name:         psc 1100 series
   Serial no.:         MY378D92CHB0
   CUPS back end:      hp
   Device file:        hp:/usb/psc_1100_series?device=/dev/usb/lp0
   I/O bus:            usb
   Status Code:        1000 ("The printer is idle.")
   Device Query:       3bit-status-code: 24
                       3bit-status-name: nofault
                       agent1-ack: False
                       agent1-desc: Black cartridge
                       agent1-dvc: 0
                       agent1-health: 0
                       agent1-health-desc: OK
                       agent1-hp-ink: False
                       agent1-kind: 3
                       agent1-known: False
                       agent1-level: 91
                       agent1-level-trigger: 0
                       agent1-sku: 56/27
                       agent1-type: 1
                       agent1-virgin: False
                       agent2-ack: False
                       agent2-desc: Tri-color cartridge
                       agent2-dvc: 0
                       agent2-health: 0
                       agent2-health-desc: OK
                       agent2-hp-ink: False
                       agent2-kind: 3
                       agent2-known: False
                       agent2-level: 90
                       agent2-level-trigger: 0
                       agent2-sku: 57/28
                       agent2-type: 2
                       agent2-virgin: False
                       dev-file: hp:/usb/psc_1100_series?device=/dev/usb/lp0
                       device-state: 0
                       deviceid: MFG:Hewlett-Packard;MDL:psc 1100
                      series;CMD:LDL,MLC,PML,DYN;CLS:PRINTER;1284.4DL:4d,4e,1;SN
                      :MY378D92CHB0;S:0380008000820000002c148005bc250005a;
                       duplexer: 0
                       error-state: 0
                       in-tray1: True
                       in-tray2: False
                       media-path: 2
                       panel: 0
                       panel-line1:
                       panel-line2:
                       photo-tray: 0
                       r: 0
                       revision: 3
                       rg: 000
                       rr: 000000
                       rs: 000000000
                       serial-number: MY378D92CHB0
                       status-code: 1000
                       supply-door: 0
                       top-door: 1

   Model Query:        align-type: 4
                       clean-type: 2
                       color-cal-type: 0
                       copy-type: 0
                       embedded-server-type: 0
                       fax-type: 0
                       io-control: gusher
                       io-mode: raw
                       panel-check-type: 1
                       pcard-type: 0
                       r0-agent1-kind: 3
                       r0-agent1-sku: 56/27
                       r0-agent1-type: 1
                       r0-agent2-kind: 3
                       r0-agent2-sku: 57/28
                       r0-agent2-type: 2
                       scan-type: 1
                       status-type: 2
                       tech-type: 2

   CUPS printers:

Comment 1 Tim Waugh 2005-06-13 11:48:57 UTC
What version of system-config-printer are you using?

Comment 2 Daniel Malmgren 2005-06-13 12:15:11 UTC
I was using 0.6.131, 0.6.132 seems to have fixed this issue. Closing.


Note You need to log in before you can comment on or make changes to this bug.